Bug 209216 - [maintainer update][patch] www/node: update to v6.0.0
Summary: [maintainer update][patch] www/node: update to v6.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on: 209215
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-02 21:28 UTC by Bradley T. Hughes
Modified: 2016-05-05 13:46 UTC (History)
1 user (show)

See Also:


Attachments
patch from a git commit, apply with patch -p1 (6.05 KB, text/plain)
2016-05-02 21:28 UTC, Bradley T. Hughes
no flags Details
poudriere testport log (288.89 KB, text/plain)
2016-05-02 21:42 UTC, Bradley T. Hughes
no flags Details
poudriere testport log 10.3-RELEASE amd64 (288.89 KB, text/plain)
2016-05-03 11:00 UTC, Bradley T. Hughes
no flags Details
poudriere testport log 10.3-RELEASE i386 (262.56 KB, text/plain)
2016-05-03 11:00 UTC, Bradley T. Hughes
no flags Details
poudriere testport log 10.2-RELEASE amd64 (288.90 KB, text/plain)
2016-05-03 11:01 UTC, Bradley T. Hughes
no flags Details
poudriere testport log 10.2-RELEASE i386 (262.57 KB, text/plain)
2016-05-03 11:01 UTC, Bradley T. Hughes
no flags Details
poudriere testport log 10.1-RELEASE amd64 (288.90 KB, text/plain)
2016-05-03 11:02 UTC, Bradley T. Hughes
no flags Details
poudriere testport log 10.1-RELEASE i386 (262.57 KB, text/plain)
2016-05-03 11:02 UTC, Bradley T. Hughes
no flags Details
poudriere testport log 9.3-RELEASE amd64 (183.43 KB, text/plain)
2016-05-03 11:07 UTC, Bradley T. Hughes
no flags Details
poudriere testport log 9.3-RELEASE i386 (181.03 KB, text/plain)
2016-05-03 11:07 UTC, Bradley T. Hughes
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2016-05-02 21:28:19 UTC
Created attachment 169896 [details]
patch from a git commit, apply with patch -p1

Update to the latest upstream major release.
    
"This new major version of Node.js delivers significant improvements in performance, reliability, usability and security. Module loading is nearly four times faster than in Node.js v4, tests and documentation have seen significant improvements, usability of the Buffer and File System APIs have been improved, and Node.js now supports 93% of ES6 language features, thanks to V8 version 5.0."
    
The full release announcement can be read here:
https://nodejs.org/en/blog/release/v6.0.0/
    
The full changelog is available on Github:
https://github.com/nodejs/node/commit/ce3e3c5fe15479475c068482c48eb9cbf1ac9df5
    
Enjoy!
Comment 1 Bradley T. Hughes freebsd_committer 2016-05-02 21:42:07 UTC
Created attachment 169897 [details]
poudriere testport log

Truncated poudriere testport log. Due to log size, I stripped cc/c++ command echos from the log using the following command:

$ grep -vE '^  (cc|c\+\+)' node-6.0.0.log > node-6.0.0-truncated.log
Comment 2 Bradley T. Hughes freebsd_committer 2016-05-03 11:00:35 UTC
Created attachment 169915 [details]
poudriere testport log 10.3-RELEASE amd64
Comment 3 Bradley T. Hughes freebsd_committer 2016-05-03 11:00:59 UTC
Created attachment 169916 [details]
poudriere testport log 10.3-RELEASE i386
Comment 4 Bradley T. Hughes freebsd_committer 2016-05-03 11:01:32 UTC
Created attachment 169918 [details]
poudriere testport log 10.2-RELEASE amd64
Comment 5 Bradley T. Hughes freebsd_committer 2016-05-03 11:01:54 UTC
Created attachment 169919 [details]
poudriere testport log 10.2-RELEASE i386
Comment 6 Bradley T. Hughes freebsd_committer 2016-05-03 11:02:17 UTC
Created attachment 169920 [details]
poudriere testport log 10.1-RELEASE amd64
Comment 7 Bradley T. Hughes freebsd_committer 2016-05-03 11:02:39 UTC
Created attachment 169921 [details]
poudriere testport log 10.1-RELEASE i386
Comment 8 Bradley T. Hughes freebsd_committer 2016-05-03 11:07:07 UTC
Created attachment 169922 [details]
poudriere testport log 9.3-RELEASE amd64
Comment 9 Bradley T. Hughes freebsd_committer 2016-05-03 11:07:51 UTC
Created attachment 169923 [details]
poudriere testport log 9.3-RELEASE i386
Comment 10 Bradley T. Hughes freebsd_committer 2016-05-03 11:09:52 UTC
I've attached new poudriere testport logs for all supported FreeBSD releases. Each log is truncated, removing uninteresting make output using the following command:

$ grep -vE '^  (g?cc|[gc]\+\+)' $jail-node-6.0.0.log > $jail-node-6.0.0-truncated.log
Comment 11 Kurt Jaeger freebsd_committer 2016-05-05 13:01:08 UTC
Testbuilds @work
Comment 12 commit-hook freebsd_committer 2016-05-05 13:45:13 UTC
A commit references this bug:

Author: pi
Date: Thu May  5 13:45:01 UTC 2016
New revision: 414646
URL: https://svnweb.freebsd.org/changeset/ports/414646

Log:
  www/node: 5.11.0 -> 6.0.0
  New port: www/node5, to ease migration from node-5.x to node-6.x

  This new major version of Node.js delivers significant improvements
  in performance, reliability, usability and security. Module loading
  is nearly four times faster than in Node.js v4, tests and documentation
  have seen significant improvements, usability of the Buffer and
  File System APIs have been improved, and Node.js now supports 93%
  of ES6 language features, thanks to V8 version 5.0.

  The full release announcement can be read here:
  https://nodejs.org/en/blog/release/v6.0.0/

  The full changelog is available on Github:
  https://github.com/nodejs/node/commit/ce3e3c5fe15479475c068482c48eb9cbf1ac9df5

  For node5:
  node.js v5.x will only be supported for a few months to give people
  time to move to v6. This new port is marked as deprecated with an
  expiration date of July 1, allowing all of May and June to transition.
  See https://nodejs.org/en/blog/release/v6.0.0/#what-about-node-js-v5

  PR:		209215, 209216
  Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm> (maintainer)

Changes:
  head/UPDATING
  head/www/Makefile
  head/www/node/Makefile
  head/www/node/distinfo
  head/www/node/files/patch-deps_v8_src_compiler_instruction.h
  head/www/node/files/patch-deps_v8_src_compiler_js-type-feedback.h
  head/www/node/files/patch-deps_v8_src_zone-containers.h
  head/www/node/pkg-plist
  head/www/node5/
  head/www/node5/Makefile
  head/www/node5/files/patch-deps_v8_src_compiler_instruction.h
  head/www/node5/files/patch-deps_v8_src_compiler_js-type-feedback.h
  head/www/node5/files/patch-deps_v8_src_zone-containers.h
  head/www/node5/pkg-plist
Comment 13 Kurt Jaeger freebsd_committer 2016-05-05 13:46:30 UTC
Committed, thanks! Btw, some small changes to pet portlint...